



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>【AngularJS】—— 3 我的第一个AngularJS小程序</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">【AngularJS】—— 3 我的第一个AngularJS小程序</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-28 13:27:45 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<blockquote><p>通过前面两篇的学习，基本上对AngularJS的使用有了一定的了解。</p>
<p>本篇将会自己手动写一个小程序，巩固下理解。</p></blockquote>
<p>　　首先要注意的是，引用AngularJS的资源文件angular.min.js文件。</p>
<p>　　由于这个框架是Google的工作人员开发的，因此国内访问的时候，会被墙导致无法下载资源文件。</p>
<p>　　因此，可以使用百度开源的静态链接：</p>
<p>　　http://apps.bdimg.com/libs/angular.js/1.2.16/angular.min.js</p>
<p>　　代替原来的国外的资源文件链接：http://code.angularjs.org/angular-1.0.1.min.js</p>
<p>　　</p>
<p>　　解决了资源文件的下载问题，就可以手动编写小程序了：</p>
<div>
<pre class="prettyprint linenums">&lt;!doctype html&gt;<br />
&lt;html ng-app&gt;<br />
    &lt;head&gt;<br />
        &lt;script src="http://apps.bdimg.com/libs/angular.js/1.2.16/angular.min.js"&gt;&lt;/script&gt;<br />
    &lt;/head&gt;<br />
    &lt;body&gt;<br />
        &lt;div ng-controller="testCtrl"&gt;<br />
            &lt;b&gt;Invoice:&lt;/b&gt;<br />
            &lt;br&gt;<br />
            &lt;br&gt;<br />
            &lt;table&gt;<br />
                &lt;tr&gt;&lt;td&gt;num1&lt;/td&gt;&lt;td&gt;num2&lt;/td&gt;&lt;/tr&gt;<br />
                &lt;tr&gt;<br />
                    &lt;td&gt;&lt;input type="number" min="0" max="10" ng-model="number1" required &gt;&lt;/td&gt;<br />
                    &lt;td&gt;&lt;input type="number" min="2" max="10" ng-model="number2" required &gt;&lt;/td&gt;<br />
                &lt;/tr&gt;<br />
            &lt;/table&gt;<br />
            &lt;hr&gt;<br />
            &lt;b&gt;Total:&lt;/b&gt; {{number1 * number2 | currency}}<br />
        &lt;/div&gt;<br />
        &lt;script&gt;<br />
            function testCtrl($scope) {<br />
                $scope.number1 = 2;<br />
                $scope.number2 = 5.6;<br />
            }<br />
        &lt;/script&gt;<br />
    &lt;/body&gt;<br />
&lt;/html&gt;</pre>
</div>
<h2>　　首先分析一下代码：</h2>
<p>　　1 在&lt;head&gt;中我们首先&nbsp;<strong>加载了angularjs的js文件</strong>。</p>
<p>　　2 在html标签中，定义了&nbsp;<strong>ng-app </strong>应用程序，意思是angularjs的作用范围是真个html。类似地，如果在div中定义ng-app，那么就只能在这个div中使用angularjs了。</p>
<p>　　3 在div中定义了一个&nbsp;<strong>控制器&nbsp;</strong>，该控制器的采用构造函数的方法，在脚本中初始化两个变量。</p>
<p>　　4 table中，采用&nbsp;<strong>ng-model&nbsp;</strong>，绑定数据元素number1,number2。</p>
<p>　　5 在div的结束部分，通过&nbsp;<strong>{{表达式}}&nbsp;</strong>产生结果，这里并没有任何的方法调用，完全是动态的根据ng-model所绑定的值，自动改变。</p>
<p>　　6 通过currency&nbsp;<strong>过滤器&nbsp;</strong>，展现成为货币格式。</p>
<h2>　　运行结果：</h2>
<p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog/449064/201502/091225572459173.jpg" /></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/e9pxlozq.html">HTML5与CSS3经典代码</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q755rx9.html">HTTP学习笔记（1）ULR语法</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqv4kdyq.html">Android Xutils 框架（转）</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93m3n08.html">jQuery UI resizble、draggable的div包含iframe导致缩放和拖拽的不平滑解决方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnm030q.html">gd-jpeg&colon; JPEG library reports unrecoverable error 解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjmkw49.html">photoshop基础</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnl1vj8.html">用sql获取某字符串中的数字部分的语句</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zpn7z9.html">表格对象QTableWidget相关常见方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1wnpx8.html">Hadoop序列化</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zdj5z9.html">CyclicBarrier 使用说明</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdykgz8.html">C语言嵌入式系统编程修炼之四：屏幕操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wllevq.html">&period;NET六大剑客：栈、堆、值类型、引用类型、装箱和拆箱</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxn7yw08.html">CODEVS 3138 栈练习2</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pj1np49.html">基于Socket的UDP和TCP编程介绍</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgz46m8.html">设计模式值六大原则&mdash;&mdash;接口隔离原则 （ISP）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ged0de8.html">requireJS 从概念到实战</a>
		</li>
						<li><a href="https://www.batexi.com/a/950z4wm8.html">Coin Change &lpar;II&rpar;&lpar;完全背包&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9504l4v8.html">Android开发中碰到的一个ANR问题。</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwj74yl8.html">Java安装及基础01</a>
		</li>
						<li><a href="https://www.batexi.com/a/q250v3wq.html">论文阅读笔记十七：Re&filig;neNet&colon; Multi-Path Re&filig;nement Networks for High-Resolution Semantic Segmentation（CVPR2017）</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/49gkxpz8.html">PHP的几个常用加密函数</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q73j3k8.html">Linux Running State Process &amp;quot&semi;&period;so&amp;quot&semi;、&amp;quot&semi;code&amp;quot&semi; Injection Technology</a>
			</li>
						<li><a href="https://www.batexi.com/a/1q2vvnv8.html">MySql的一些操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/r8mzvpoq.html">安装PhantomJS</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq4w2239.html">HDU 1166 敌兵布阵（线段树模板题）</a>
			</li>
						<li><a href="https://www.batexi.com/a/49gk6x08.html">【Alpha阶段】第四次Scrum例会</a>
			</li>
						<li><a href="https://www.batexi.com/a/m96gn5v8.html">4 构建Mysql&plus;heartbeat&plus;DRBD&plus;LVS集群应用系统系列之Lvs为Mysql-slave做负载均衡</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8k4g4r9.html">BZOJ3685&colon; 普通van Emde Boas树</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8ooevl8.html">e&lowbar;msg&lowbar;c&lowbar;as&lowbar;register&lowbar;req-注册存储过程</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8ooegl8.html">ci重定向</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
